Debian Bug report logs - #305874
RM: smurf -- RoM; functionality absorbed by swami

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: hsteoh@debian.org

Date: Fri, 22 Apr 2005 17:18:04 UTC

Severity: normal

Tags: moreinfo

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#305874; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to hsteoh@debian.org:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: hsteoh@debian.org
To: submit@bugs.debian.org
Subject: Please remove smurf from the archive
Date: Fri, 22 Apr 2005 10:11:42 -0700
Package: ftp.debian.org
Severity: normal

Please remove the 'smurf' package from unstable. It is no longer
maintained upstream, and upstream has written 'swami' as a replacement
for it. The 'swami' package is now in unstable, and provides the same
functionality (plus lots of enhancements). I have contacted the swami
maintainer to add Replaces: smurf and Conflicts: smurf in the swami
package, and this is now in unstable. 

Note: smurf should probably remain in sarge, unless by some miracle
swami (0.9.2-5) manages to get into sarge before the release. If this
manages to happen somehow, please also remove smurf from sarge. :-) 


T

-- 
If lightning were to ever strike an orchestra, it'd always hit the conductor
first.



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#305874; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #10 received at 305874@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: hsteoh@debian.org, 305874@bugs.debian.org
Cc: Debian Bugs Control Bot <control@bugs.debian.org>, Guenter Geiger <geiger@debian.org>
Subject: Re: Bug#305874: Please remove smurf from the archive
Date: Sat, 23 Apr 2005 04:11:49 +0200
retitle 305874 RM: smurf -- RoM; functionality absorbed by swami
tags 305874 moreinfo
thanks

On Fri, Apr 22, 2005 at 10:11:42AM -0700, hsteoh@debian.org wrote:
> Please remove the 'smurf' package from unstable. It is no longer
> maintained upstream, and upstream has written 'swami' as a replacement
> for it. The 'swami' package is now in unstable, and provides the same
> functionality (plus lots of enhancements). I have contacted the swami
> maintainer to add Replaces: smurf and Conflicts: smurf in the swami
> package, and this is now in unstable. 
> 
> Note: smurf should probably remain in sarge, unless by some miracle
> swami (0.9.2-5) manages to get into sarge before the release. If this
> manages to happen somehow, please also remove smurf from sarge. :-) 

If I'd remove smurf from unstable, it'd get removed from testing too.
Also, people upgrading from woody won't automatically get swami when
they previous had smurf.

I suggest, possibly after discussing with -devel or -mentors
mailinglist, to provide a dummy smurf package depending on swami. Too
bad swami now conflicts with smurf, that prohibits a sane upgrade path.
I must be missing something, but I don't understand why swami conflicts
smurf. Conflicts in general make upgrading harder, and should typically
be prevented.

Please don't discuss this issue further in this bug without reassigning
it back to smurf first, as said above, you can ask -mentors or -devel
for advice on how to go further.

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: moreinfo Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, jeroen@wolffelaar.nl, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#305874; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "H. S. Teoh" <hsteoh@quickfur.ath.cx>:
Extra info received and forwarded to list. Copy sent to jeroen@wolffelaar.nl, James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #19 received at 305874@bugs.debian.org (full text, mbox):

From: "H. S. Teoh" <hsteoh@quickfur.ath.cx>
To: control@bugs.debian.org
Cc: 305874@bugs.debian.org
Subject: smurf needs upgrade path, oops
Date: Fri, 22 Apr 2005 22:39:59 -0700
reassign 305874 smurf
thanks

Oops. You're right, making swami conflict with smurf breaks the
upgrade path. My bad, I had recalled reading something about using
conflicts to force an upgrade, but I guess I didn't remember the
context and thought it was the general procedure to provide an upgrade
path to another package. I was the one who told swami's maintainer to
add the Conflicts line. Oops.

What's the correct way to handle the upgrade? Make a dummy smurf
package that depends on swami?


T

-- 
Acid falls with the rain; with love comes the pain.



Bug reassigned from package `ftp.debian.org' to `smurf'. Request was from "H. S. Teoh" <hsteoh@quickfur.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Hwei Sheng Teoh <hsteoh@debian.org>:
Bug#305874; Package smurf. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to Hwei Sheng Teoh <hsteoh@debian.org>. Full text and rfc822 format available.

Message #26 received at 305874@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: "H. S. Teoh" <hsteoh@quickfur.ath.cx>, 305874@bugs.debian.org
Subject: Re: Bug#305874: smurf needs upgrade path, oops
Date: Sat, 23 Apr 2005 14:14:07 +0200
On Fri, Apr 22, 2005 at 10:39:59PM -0700, H. S. Teoh wrote:
> reassign 305874 smurf
> thanks
> 
> Oops. You're right, making swami conflict with smurf breaks the
> upgrade path. My bad, I had recalled reading something about using
> conflicts to force an upgrade, but I guess I didn't remember the
> context and thought it was the general procedure to provide an upgrade
> path to another package. I was the one who told swami's maintainer to
> add the Conflicts line. Oops.
> 
> What's the correct way to handle the upgrade? Make a dummy smurf
> package that depends on swami?

Hm, quoting developers reference:

| 5.9.3 Replacing or renaming packages
| 
| When you make a mistake naming your package, you should follow a
| two-step process to rename it. First, set your debian/control file to
| replace and conflict with the obsolete name of the package (see the
| Debian Policy Manual for details). Once you've uploaded the package and
| the package has moved into the archive, file a bug against
| ftp.debian.org asking to remove the package with the obsolete name. Do
| not forget to properly reassign the package's bugs at the same time. 

That's exactly what you did. I admit I'm not sure how apt, aptitude, etc
etc are going to handle this, the only time I did a package rename, was
via a dummy package, with Replaces:, and certainly not Conflicts:. This
isn't discussed at all in the developers reference, and atm I don't
intend to dive into how to do this properly. It's even not impossible I
was wrong and this way will have the intended effect, but I'm not at all
convinced that this way will indeed provide a proper upgrade path.

I think you'd best search the archives, and if that fails, ask
debian-devel@lists.debian.org, so that more eyes than just my own can
look into it. I can be wrong too, it'd be silly to solely rely on my
advice, when you can ask the advice of dozens of extra people :).

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>, Hwei Sheng Teoh <hsteoh@debian.org>:
Bug#305874; Package smurf. Full text and rfc822 format available.

Acknowledgement sent to "H. S. Teoh" <hsteoh@quickfur.ath.cx>:
Extra info received and forwarded to list. Copy sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>, Hwei Sheng Teoh <hsteoh@debian.org>. Full text and rfc822 format available.

Message #31 received at 305874@bugs.debian.org (full text, mbox):

From: "H. S. Teoh" <hsteoh@quickfur.ath.cx>
To: control@bugs.debian.org, 305874@bugs.debian.org
Subject: Please remove smurf from the archive
Date: Sun, 01 May 2005 14:19:20 -0700
Hi,

Please proceed with my request to remove smurf from the archive.  I've
asked on debian-mentors, and I think the best course of action is to
go ahead and remove smurf.

I was going to work out the whole upgrade path thing, but then I
thought it wasn't necessary anymore:  although upstream *did* intend
swami to be a replacement for smurf, they are essentially independent
codebases, and have different binaries. AFAIK, they have no files in
common. Swami has a new improved UI which is essentially unrelated to
smurf. So all in all, I think it makes the most sense to treat them as
totally independent packages.

Thanks.


T

-- 
The problem with the world is that everybody else is stupid.



Bug reassigned from package `smurf' to `ftp.debian.org'. Request was from "H. S. Teoh" <hsteoh@quickfur.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to hsteoh@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #38 received at 305874-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 305874-close@bugs.debian.org
Subject: Bug#305874: fixed
Date: Thu, 05 May 2005 11:46:57 -0400
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

     smurf |   0.52.6-7 | source, alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 305874@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:44:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.